
From: Hugh Dickins <hugh@veritas.com>

Stop -mm compiler warning when CONFIG_KGDB is off.


 25-akpm/arch/i386/kernel/traps.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN arch/i386/kernel/traps.c~kgdb-ga-warning-fix arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~kgdb-ga-warning-fix	Wed Apr  9 13:38:50 2003
+++ 25-akpm/arch/i386/kernel/traps.c	Wed Apr  9 13:38:50 2003
@@ -386,10 +386,8 @@ asmlinkage void do_##name(struct pt_regs
 #define DO_VM86_ERROR(trapnr, signr, str, name) \
 asmlinkage void do_##name(struct pt_regs * regs, long error_code) \
 { \
-	CHK_REMOTE_DEBUG(trapnr,signr,error_code,regs,goto skip_trap)\
+	CHK_REMOTE_DEBUG(trapnr,signr,error_code,regs,return)\
 	do_trap(trapnr, signr, str, 1, regs, error_code, NULL); \
-skip_trap: \
-	return; \
 }
 
 #define DO_VM86_ERROR_INFO(trapnr, signr, str, name, sicode, siaddr) \

_
